Avnology ID
API ReferenceSSO & Directory Sync

List SSO Connections

Retrieve all SSO connections.

Endpoint

GET /v1/sso/connections

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token

Request

curl -X GET "https://api-id.avnology.net/v1/sso/connections" \\
  -H "Authorization: Bearer ak_live_..." \\

Response

Returns the appropriate response. See API Overview for format.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_901Resource not found
403AVNOLOGY_AUTH_100Insufficient permissions

Code Examples

JavaScript (fetch)

const response = await fetch('https://api-id.avnology.net/v1/sso/connections', {
  method: 'GET',
  headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("GET", "https://api-id.avnology.net/v1/sso/connections",
    headers={"Authorization": f"Bearer {api_key}"})

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "GET", "https://api-id.avnology.net/v1/sso/connections", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err